<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2021 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @author     Malin Lorch <mlorch@liquidweb.com>
 * @date       Aug 24, 2021
 */

require_once(__DIR__ . '/../../Model/Recovery/Files.php');

/**
 * @package InterWorx
 * @subpackage
 */
class Model_Recovery_FilesTest extends IWorx_Framework_TestCase
{
    const ENV_FILE = '/home/interworx/etc/env/ab_restore_initiated';

    /**
     * delete env flag if any
     */
    public function setUp()
    {
        $this->_deleteEnv();
    }


    /**
     * delete env flag if any
     */
    public function tearDown()
    {
        $this->_deleteEnv();
    }


    /**
     * delete env flag if any
     */
    private function _deleteEnv()
    {
        if (is_file(self::ENV_FILE)) {
            unlink(self::ENV_FILE);
        }
    }

    /**
     * test setRestoreInitiated
     */
    public function testSetRestoreInitiated()
    {
        $this->assertFalse(Model_Recovery_Files::restoreInitiated());
        Model_Recovery_Files::setRestoreInitiated();
        $this->assertTrue(Model_Recovery_Files::restoreInitiated());
    }

    /**
     * test clearRestoreInitiated
     */
    public function testClearRestoreInitiated()
    {
        touch(self::ENV_FILE);
        $this->assertTrue(Model_Recovery_Files::restoreInitiated());
        Model_Recovery_Files::clearRestoreInitiated();
        $this->assertFalse(Model_Recovery_Files::restoreInitiated());
    }
}
